io.agora.rtc

## Interface IAgoraMediaPlayerSourceObserver

- All Known Implementing Classes:
    DefaultAgoraMediaPlayerSourceObserver

      public interface IAgoraMediaPlayerSourceObserver

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAgoraCDNTokenWillExpire(AgoraMediaPlayerSource agora_media_player_source)`
    `void` | `onAudioVolumeIndication(AgoraMediaPlayerSource agora_media_player_source, int volume)`
    `void` | `onCompleted(AgoraMediaPlayerSource agora_media_player_source)`
    `void` | `onMetaData(AgoraMediaPlayerSource agora_media_player_source, byte[] data, int length)`
    `void` | `onPlayBufferUpdated(AgoraMediaPlayerSource agora_media_player_source, long play_cached_buffer)`
    `void` | `onPlayerEvent(AgoraMediaPlayerSource agora_media_player_source, int event, long elapsedTime, java.lang.String message)`
    `void` | `onPlayerInfoUpdated(AgoraMediaPlayerSource agora_media_player_source, PlayerUpdatedInfo info)`
    `void` | `onPlayerSourceStateChanged(AgoraMediaPlayerSource agora_media_player_source, int state, int ec)`
    `void` | `onPlayerSrcInfoChanged(AgoraMediaPlayerSource agora_media_player_source, SrcInfo from, SrcInfo to)`
    `void` | `onPositionChanged(AgoraMediaPlayerSource agora_media_player_source, long position)`
    `void` | `onPreloadEvent(AgoraMediaPlayerSource agora_media_player_source, java.lang.String src, int event)`

- - ### Method Detail

    - #### onPlayerSourceStateChanged

          void onPlayerSourceStateChanged(AgoraMediaPlayerSource agora_media_player_source,
                                          int state,
                                          int ec)

    - #### onPositionChanged

          void onPositionChanged(AgoraMediaPlayerSource agora_media_player_source,
                                 long position)

    - #### onPlayerEvent

          void onPlayerEvent(AgoraMediaPlayerSource agora_media_player_source,
                             int event,
                             long elapsedTime,
                             java.lang.String message)

    - #### onMetaData

          void onMetaData(AgoraMediaPlayerSource agora_media_player_source,
                          byte[] data,
                          int length)

    - #### onPlayBufferUpdated

          void onPlayBufferUpdated(AgoraMediaPlayerSource agora_media_player_source,
                                   long play_cached_buffer)

    - #### onPreloadEvent

          void onPreloadEvent(AgoraMediaPlayerSource agora_media_player_source,
                              java.lang.String src,
                              int event)

    - #### onCompleted

          void onCompleted(AgoraMediaPlayerSource agora_media_player_source)

    - #### onAgoraCDNTokenWillExpire

          void onAgoraCDNTokenWillExpire(AgoraMediaPlayerSource agora_media_player_source)

    - #### onPlayerSrcInfoChanged

          void onPlayerSrcInfoChanged(AgoraMediaPlayerSource agora_media_player_source,
                                      SrcInfo from,
                                      SrcInfo to)

    - #### onPlayerInfoUpdated

          void onPlayerInfoUpdated(AgoraMediaPlayerSource agora_media_player_source,
                                   PlayerUpdatedInfo info)

    - #### onAudioVolumeIndication

          void onAudioVolumeIndication(AgoraMediaPlayerSource agora_media_player_source,
                                       int volume)